> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get settlement

> Returns a settlement by ID.



## OpenAPI

````yaml openapi/cross-currency.yaml get /v1/exchange/trades/settlements/{id}
openapi: 3.0.2
info:
  version: ${version}
  title: Cross-Currency API
  description: >
    The Circle Cross-Currency API allows you to exchange fiat for USDC and
    exchange USDC for EURC.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Trades
    description: Execute currency exchange trades.
  - name: Payments
    description: Payment endpoints.
  - name: Settlements
    description: Settlement endpoints
paths:
  /v1/exchange/trades/settlements/{id}:
    get:
      tags:
        - Settlements
      summary: Get settlement
      description: Returns a settlement by ID.
      operationId: getSettlementId
      parameters:
        - $ref: '#/components/parameters/IdPath'
      responses:
        '200':
          description: Successfully retrieved settlement.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                title: GetSettlementIdResponse
                properties:
                  data:
                    $ref: '#/components/schemas/Settlement'
              examples:
                response:
                  value:
                    data:
                      id: b8627ae8-732b-4d25-b947-1df8f4007a29
                      entityId: b8627ae8-732b-4d25-b947-1df8f4007a29
                      status: pending
                      createDate: '2020-04-10T02:13:30.000Z'
                      updateDate: '2020-04-10T02:13:30.000Z'
                      details:
                        - id: b8627ae8-732b-4d25-b947-1df8f4007a29
                          type: payable
                          amount:
                            amount: '3.14'
                            currency: USDC
                          status: pending
                          reference: FXR1234567
                          createDate: '2020-04-10T02:13:30.000Z'
                          updateDate: '2020-04-10T02:13:30.000Z'
        '401':
          $ref: '#/components/responses/NotAuthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - bearerAuth: []
components:
  parameters:
    IdPath:
      name: id
      description: Universally unique identifier (UUID v4) of a resource.
      in: path
      required: true
      schema:
        type: string
        format: uuid
        example: b3d9d2d5-4c12-4946-a09d-953e82fae2b0
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    Settlement:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/Id'
        entityId:
          $ref: '#/components/schemas/Id'
        status:
          $ref: '#/components/schemas/SettlementStatus'
        createDate:
          $ref: '#/components/schemas/UtcTimestamp'
        updateDate:
          $ref: '#/components/schemas/UtcTimestamp'
        details:
          type: array
          items:
            type: object
            properties:
              id:
                $ref: '#/components/schemas/Id'
              type:
                type: string
                enum:
                  - payable
                  - receivable
              amount:
                $ref: '#/components/schemas/FxMoney'
              status:
                $ref: '#/components/schemas/SettlementDetailStatus'
              reference:
                type: string
                example: FXR1234567
              createDate:
                $ref: '#/components/schemas/UtcTimestamp'
              updateDate:
                $ref: '#/components/schemas/UtcTimestamp'
    Id:
      type: string
      description: Unique system generated identifier for the entity.
      format: uuid
      example: b8627ae8-732b-4d25-b947-1df8f4007a29
    SettlementStatus:
      type: string
      description: Status of the settlement.
      enum:
        - pending
        - settled
    UtcTimestamp:
      type: string
      description: ISO-8601 UTC date/time format.
      example: '2020-04-10T02:13:30.000Z'
    FxMoney:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          description: Magnitude of the amount, in units of the currency, with a `.`.
          type: string
          example: '3.14'
        currency:
          $ref: '#/components/schemas/FxCurrency'
    SettlementDetailStatus:
      type: string
      enum:
        - pending
        - completed
    FxCurrency:
      type: string
      enum:
        - USDC
        - EURC
        - MXN
        - BRL
  responses:
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorized
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 401
              message: Malformed authorization.
          examples:
            response:
              value:
                code: 401
                message: Malformed authorization.
    NotFound:
      description: The specified resource was not found.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotFound
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 404
              message: Not found.
          examples:
            response:
              value:
                code: 404
                message: Not found.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````